Bug 964318 - Review Request: python-vmbuilder - Ubuntu's vmbuilder
Review Request: python-vmbuilder - Ubuntu's vmbuilder
Status: CLOSED DUPLICATE of bug 1074143
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 16:50 EDT by Warren Togami
Modified: 2014-03-08 02:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-08 02:47:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2013-05-17 16:50:18 EDT
Spec URL: http://wtogami.fedorapeople.org/pkgreview/python-vm-builder/python-vm-builder.spec
SRPM URL: http://wtogami.fedorapeople.org/pkgreview/python-vm-builder/python-vm-builder-0.12.4-2.bzr475.fc18.src.rpm
Description: Ubuntu's vmbuilder 
Fedora Account System Username: wtogami

It is useful to build Debian or Ubuntu-based KVM images on Fedora.  Works in conjunction with apt-cacher-ng Bug #964317 as part of Gitian, a tool that enables deterministic builds of cross-platform binaries.
Comment 1 Volker Fröhlich 2013-05-30 05:41:20 EDT
Why did you call it python-vm-builder and not python-vmbuilder, which is closer to the upstream name?

The release tag in the changelog is not complete.

Either add the commands necessary to create the tarball or consider to use the tarball from https://launchpad.net/vmbuilder/+download, if feasible.

Ask them to include a license file.

I think you can create a richer description than the one present.

No need to purge the build root in the install section, no need to define python_sitelib, see https://fedoraproject.org/wiki/EPEL:Packaging#Prepping_BuildRoot_For_.25install and https://fedoraproject.org/wiki/Packaging:Python#Macros

What's the upstream status of that patch? Also use the name macro on Patch0.

I wonder if the VM templates should really go to /etc. FHS defines /etc to be used for "Host-specific system configuration". I'm not sure if that's the case here. However, you're not owning the directory %{_sysconfdir}/vmbuilder.

%{python_sitelib}/VMBuilder/ is a lot more concrete than %{python_sitelib}/*

Please install the manpage that ships along and consider to include the examples directory as documentation.

BuildRequires should be "python2-devel" instead of "python-devel". Do know whether it works with Python 3?
Comment 2 Mario Blättermann 2013-06-02 07:31:45 EDT
python-devel is deprecated, use python2-devel instead:
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

%build
# Remove CFLAGS=... for noarch packages (unneeded)
Well, it is convenient to use the spec template provided by rpmdev-newspec, but you should consider to do what it proposes. Remove the CFLAGS statement because your package is noarch.

%{_sysconfdir}/vmbuilder/* means your package doesn't own the folder, just the containing files. Please use %{_sysconfdir}/vmbuilder to also own the folder.

The GPL forces us (and also upstream developers) to ship the license text within a package. Please add the plain text version:
http://www.gnu.org/licenses/gpl.txt


Instead of repeating the summary once again, you could use a more specific description from Launchpad:

"Install virtual machines in a snap without ever actually booting a virtual machine."
Comment 3 Johan Swensson 2013-10-18 15:58:00 EDT
Some comments.

You're putting files in /etc without %config.
https://fedoraproject.org/wiki/Packaging:Guidelines#Configuration_files

Use a proper Source url.
http://fedoraproject.org/wiki/Packaging:SourceURL
Comment 4 Volker Fröhlich 2014-01-18 18:50:07 EST
Warren, are you still interested in packaging this?
Comment 5 Volker Fröhlich 2014-01-26 11:52:45 EST
Stalled! Closing; Please re-open if you're still interested.
Comment 6 Warren Togami 2014-02-28 08:03:54 EST
Kenjiro Nakayama is taking over this package and apt-cacher-ng in Bug #964317.
Comment 8 Kenjiro Nakayama 2014-03-03 11:31:53 EST
Sorry, I have not completed following two points. 

> I wonder if the VM templates should really go to /etc. FHS defines /etc to be used for "Host-specific system configuration". I'm not sure if that's the case here. However, you're not owning the directory %{_sysconfdir}/vmbuilder.

> You're putting files in /etc without %config.
Comment 9 Kenjiro Nakayama 2014-03-03 19:11:02 EST
> I wonder if the VM templates should really go to /etc. FHS defines /etc to be used for "Host-specific system configuration". I'm not sure if that's the case here. However, you're not owning the directory %{_sysconfdir}/vmbuilder.

Umm... it might be a good idea to go to not /etc (eg. /usr/share/vmbuilder/).
But should we change it, even upstream project is using /etc?

Does anyone have a good idea?
Comment 11 Kenjiro Nakayama 2014-03-04 08:53:08 EST
I decided VM templates go to /etc and I put %config.
Comment 12 Kenjiro Nakayama 2014-03-08 02:47:32 EST

*** This bug has been marked as a duplicate of bug 1074143 ***

Note You need to log in before you can comment on or make changes to this bug.